// VRML Clock Script, Version 1.0 Beta
// Copyright (c) 1998-2002, Moon-Sun Choi (http://www.moon-sun.com)
// Created by Moon-Sun Choi (choi@moon-sun.com)

// set hour
function set_hour(time, eventTime) {
    var dat = new Date();
    var hour = dat.getHours();

    // for digital
    string_changed[0] = hour;

    // for analog
    value_changed[0] = 0;
    value_changed[1] = 0;
    value_changed[2] = -1;
    value_changed[3] = (hour + dat.getMinutes() / 60.0 + dat.getSeconds() / 3600.0) * Math.PI / 6.0;
}

// set minute
function set_minute(time, eventTime) {
    var dat = new Date();
    var min = dat.getMinutes();

    // for digital
    if (min < 10) string_changed[0] = "0" + min;
    else          string_changed[0] = min;

    // for analog
    value_changed[0] = 0;
    value_changed[1] = 0;
    value_changed[2] = -1;
    value_changed[3] = (min + dat.getSeconds() / 60.0) * Math.PI / 30.0;
}

// set second
function set_second(time, eventTime) {
    var dat = new Date();
    var sec = dat.getSeconds();

    // for digital
    if (sec < 10) string_changed[0] = "0" + sec;
    else          string_changed[0] = sec;

    // for analog
    value_changed[0] = 0;
    value_changed[1] = 0;
    value_changed[2] = -1;
    value_changed[3] = ((dat.getTime() / 1000.0) % 60.0) * Math.PI / 30.0;
//    value_changed[3] = sec * Math.PI / 30.0; // for quartz
}
